import { MigratableState, Migration } from './types';
export interface MigratorOptions<EAll extends MigratableState, EFirst = EAll & {
    version: 1;
}> {
    migrations?: Migration<any, any>[];
    init(): Omit<EFirst, 'version'>;
}
/**
 * Takes an array of migration functions and returns a function to migrate an
 * old version of your state to the newest one.
 * @param options Migration configuration.
 */
export declare const createMigrator: <TLatest extends MigratableState, EAll extends MigratableState = TLatest>({ migrations, init }: MigratorOptions<EAll>) => (data?: EAll | TLatest) => TLatest;
