export interface MigratableState<TVersion extends number = number> {
    version: TVersion;
}
export interface Migration<TFrom extends MigratableState, TTo extends MigratableState> {
    from: TFrom['version'];
    to: TTo['version'];
    migrate(from: Readonly<TFrom>): Omit<TTo, 'version'>;
}
